/* line 4, app/assets/stylesheets/new_design/autosave.scss */
.autosave {
  position: relative;
  font-size: 0.9em;
}

/* line 9, app/assets/stylesheets/new_design/autosave.scss */
.autosave-explanation {
  color: #666666;
  margin-left: 4px;
}

/* line 14, app/assets/stylesheets/new_design/autosave.scss */
.autosave-explanation-text,
.autosave-label {
  margin-right: 6px;
}

/* line 19, app/assets/stylesheets/new_design/autosave.scss */
.autosave-more-infos {
  white-space: nowrap;
}

/* line 23, app/assets/stylesheets/new_design/autosave.scss */
.autosave-status {
  position: absolute;
  top: 0;
}

/* line 28, app/assets/stylesheets/new_design/autosave.scss */
.autosave-status.succeeded .autosave-label {
  color: #138254;
}

/* line 32, app/assets/stylesheets/new_design/autosave.scss */
.autosave-status.failed .autosave-label {
  color: #F28900;
}

/* line 37, app/assets/stylesheets/new_design/autosave.scss */
.autosave-icon {
  display: inline-block;
  vertical-align: -1px;
  margin-right: 4px;
}

/* line 43, app/assets/stylesheets/new_design/autosave.scss */
.autosave-icon.icon.accept {
  vertical-align: -8px;
}

/* line 49, app/assets/stylesheets/new_design/autosave.scss */
.autosave-retry:disabled .autosave-retry-label {
  display: none;
}

/* line 54, app/assets/stylesheets/new_design/autosave.scss */
.autosave-retry:not(:disabled) {
  cursor: pointer;
}

/* line 57, app/assets/stylesheets/new_design/autosave.scss */
.autosave-retry:not(:disabled) .autosave-retrying-label {
  display: none;
}

/* line 67, app/assets/stylesheets/new_design/autosave.scss */
.autosave-explanation {
  visibility: visible;
  opacity: 1;
  transition-property: opacity;
  transition-duration: 0.7s;
}

/* line 75, app/assets/stylesheets/new_design/autosave.scss */
.autosave-status {
  visibility: hidden;
  opacity: 0;
  transition-property: opacity, visibility;
  transition-duration: 0.7s;
}

/* line 87, app/assets/stylesheets/new_design/autosave.scss */
.autosave-state-succeeded .autosave-explanation,
.autosave-state-failed .autosave-explanation {
  visibility: hidden;
  opacity: 0;
  transition-property: opacity, visibility;
  transition-duration: 0.2s;
}

/* line 96, app/assets/stylesheets/new_design/autosave.scss */
.autosave-state-succeeded .autosave-status.succeeded,
.autosave-state-succeeded .autosave-status.failed,
.autosave-state-failed .autosave-status.succeeded,
.autosave-state-failed .autosave-status.failed {
  opacity: 1;
  transition-property: opacity;
  transition-duration: 0.2s;
}

/* line 105, app/assets/stylesheets/new_design/autosave.scss */
.autosave-state-succeeded .autosave-icon,
.autosave-state-failed .autosave-icon {
  opacity: 1;
  animation-name: pulse;
  animation-duration: 0.25s;
  animation-delay: 0.15s;
  animation-timing-function: linear;
  animation-fill-mode: backwards;
}

/* line 117, app/assets/stylesheets/new_design/autosave.scss */
.autosave-state-succeeded .autosave-status.succeeded {
  visibility: visible;
}

/* line 121, app/assets/stylesheets/new_design/autosave.scss */
.autosave-state-failed .autosave-status.failed {
  visibility: visible;
}
